/// <reference types="node" />
import { ChainId, EVMChainId, SignedVaa } from "@certusone/wormhole-sdk";
import { ParsedVaaWithBytes } from "relayer-plugin-interface";
export declare const second = 1000;
export declare const minute: number;
export declare const hour: number;
export declare class EngineError extends Error {
    args?: Record<any, any> | undefined;
    constructor(msg: string, args?: Record<any, any> | undefined);
}
export declare function nnull<T>(x: T | undefined | null, errMsg?: string): T;
export declare function assertStr(x: any, fieldName?: string): string;
export declare function assertInt(x: any, fieldName?: string): number;
export declare function assertArray<T>(x: any, name: string, elemsPred?: (x: any) => boolean): T[];
export declare function sleep(ms: number): Promise<unknown>;
export declare function assertBool(x: any, fieldName?: string): boolean;
export declare function parseVaaWithBytes(vaa: ParsedVaaWithBytes | SignedVaa): ParsedVaaWithBytes;
export declare function wormholeBytesToHex(address: Buffer | Uint8Array): string;
export declare function assertEvmChainId(chainId: number): EVMChainId;
export declare function assertChainId(chainId: number): ChainId;
